Ticket #43645

blocked_find_target_city() case fall through without fcfallthrough

Open Date: 2022-01-17 16:51 Last Update: 2022-03-15 10:44

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
2

Details

Noticed on S3_0. blocked_find_target_city() has a case fall through with a comment, but with no fcfallthrough

Ticket History (3/7 Histories)

2022-01-17 16:51 Updated by: cazfi
  • New Ticket "blocked_find_target_city() case fall through without fcfallthrough" created
2022-01-17 16:52 Updated by: cazfi
Comment

Similarly in blocked_find_target_tile()

2022-01-26 10:28 Updated by: cazfi
2022-03-02 12:07 Updated by: cazfi
  • Owner Update from (None) to cazfi
  • Resolution Update from None to Accepted
Comment

There was more /* Fall through */ comments. All of them handled in the attached patches.

2022-03-15 10:44 Updated by: cazfi
  • Status Update from Open to Closed
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login